Bug 1315106 - DNF STALLS [NEEDINFO]
DNF STALLS
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-06 13:59 EST by c35143689
Modified: 2016-03-20 09:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-20 09:42:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsilhan: needinfo? (c35143689)


Attachments (Terms of Use)

  None (edit)
Description c35143689 2016-03-06 13:59:17 EST
Description of problem:
All `dnf ...` commands stall with no output.  Some rpm commands also stall.

Version-Release number of selected component (if applicable):
`dnf --version` stalls

How reproducible:
every time (dnf was working fine 1-2 months ago...)

Steps to Reproduce:
# dnf -v help
[waited 5 minutes for anything to happen, then forced to background: ^Z]
# kill -KILL `pgrep dnf`
[1]+  Killed                  dnf -v help
# cat /var/log/dnf.*.log /var/log/dnf.log
# rm -fr /var/cache/dnf
# dnf -v help
  [new terminal]
  # netstat --wide --numeric --program --timers --all|grep -e `pgrep dnf` -
  (standard input):unix  3      [ ]         STREAM     CONNECTED     480908   21698/python3        
[waited 5 minutes for anything to happen, then forced to background: ^Z]
# kill -KILL `pgrep dnf`
[1]+  Killed                  dnf -v help
# cat /var/log/dnf.*.log /var/log/dnf.log
# rm -fr /var/cache/dnf
# rpm -q librepo curl dnf
  [new terminal]
  # top -p `pgrep rpm`
  [shows rpm always in a sleeping state with no cpu usage: ^C]
[waited 5 minutes for anything to happen, then forced to background: ^Z]
# kill -KILL `pgrep rpm`
[1]+  Killed                  rpm -q librepo curl dnf
# cat /etc/redhat-release
Fedora release 23 (Twenty Three)



Expected results:
No stalls, some cpu activity, any spawned processes to place the blame on, some relevant error messages in any log files...
Comment 1 Honza Silhan 2016-03-14 08:49:19 EDT
Can you attach core dump file of the process, please? So the rpm stalls too?
Comment 2 c35143689 2016-03-20 09:42:59 EDT
Didn't consider a core dump, sorry, dnf and rpm seem to work fine now, the only significant action I took was to restart my computer, I've bookmarked this bug, and will try to follow up if I notice this issue again.
Comment 3 c35143689 2016-03-20 09:44:41 EDT
just for future reference

# dnf --version
1.1.6
  Installed: dnf-0:1.1.6-2.fc23.noarch at 2016-02-06 03:52
  Built    : Fedora Project at 2016-02-03 12:23

  Installed: rpm-0:4.13.0-0.rc1.11.fc23.x86_64 at 2016-02-06 03:44
  Built    : Fedora Project at 2016-02-02 11:52
# rpm --version
RPM version 4.13.0-rc1

Note You need to log in before you can comment on or make changes to this bug.